namespace org.accordproject.person;
using org.accordproject.value;
using org.accordproject.address;
using org.accordproject.organization;
using org.accordproject.geo;
using org.accordproject.money;
using org.accordproject.product;
using AccordProject.Concerto;
[System.Text.Json.Serialization.JsonConverter(typeof(System.Text.Json.Serialization.JsonStringEnumConverter))]
public enum Gender {
      MALE,
      FEMALE,
      OTHER,
      UNKNOWN,
}
[AccordProject.Concerto.Type(Namespace = "org.accordproject.person", Version = "0.2.0", Name = "Person")]
[System.Text.Json.Serialization.JsonConverter(typeof(AccordProject.Concerto.ConcertoConverterFactorySystem))]
public class Person : Participant {
   [System.Text.Json.Serialization.JsonPropertyName("$class")]
   public override string _class { get; } = "org.accordproject.person@0.2.0.Person";
   [AccordProject.Concerto.Identifier()]
   public string identifier { get; set; }
   public string additionalName { get; set; }
   public PostalAddress? address { get; set; }
   public Organization affiliation { get; set; }
   public Organization alumniOf { get; set; }
   public string award { get; set; }
   public System.DateTime? birthDate { get; set; }
   public System.DateTime? deathDate { get; set; }
   public Place? birthPlace { get; set; }
   public Person[] children { get; set; }
   public Person[] colleagues { get; set; }
   public string email { get; set; }
   public string familyName { get; set; }
   public string faxNumber { get; set; }
   public Person[] follows { get; set; }
   public Organization funder { get; set; }
   public Gender? gender { get; set; }
   public string givenName { get; set; }
   public string globalLocationNumber { get; set; }
   public QuantitativeValue? height { get; set; }
   public PostalAddress? homeLocation { get; set; }
   public string honorificPrefix { get; set; }
   public string honorificSuffix { get; set; }
   public string isicsV4 { get; set; }
   public string jobTitle { get; set; }
   public Person[] knows { get; set; }
   public Organization memberOf { get; set; }
   public string naics { get; set; }
   public Country? nationality { get; set; }
   public MonetaryAmount? netWorth { get; set; }
   public Product owns { get; set; }
   public Person parent { get; set; }
   public Person relatedTo { get; set; }
   public Person[] sibling { get; set; }
   public Organization sponsor { get; set; }
   public Person spouse { get; set; }
   public string taxId { get; set; }
   public string telephone { get; set; }
   public string vatId { get; set; }
   public QuantitativeValue? weight { get; set; }
   public Organization worksFor { get; set; }
}
